R4MR4M MemberComments: 2226 Received thanks: 338 Member since: April 2014

Zu Testzwecken eben eine nagelneue SW Version installiert. Dann wollte ich mein Test-Plugin aus der 6.1 RC2 installieren. SW sagt geht nicht:

Plugin konnte auf Grund der Fehlermeldung "You have requested a non-existent service "shopware.cache"." nicht installiert werden. 

Ok, im Plugin gab es noch den Aufruf:

$cache = $this->container->get('shopware.cache'); 
$cache->clear();

Heißt das nun, dass es diesen Aufruf so nicht mehr gibt? Gibt es hierzu eine Alternative?

 

Answers

  • ShyimShyim MemberComments: 974 Received thanks: 391 Member since: May 2015

    Der Service heißt jetzt cache.object

    Thanked by 1R4M
  • R4MR4M MemberComments: 2226 Received thanks: 338 Member since: April 2014

    Hm, heute den Shop noch mal neu aufgesetzt. Dann das:

    Plugin konnte auf Grund der Fehlermeldung "The "cache.object" service or alias has been removed or inlined when the container was compiled. You should either make it public, or stop using the container directly and use dependency injection instead." nicht installiert werden

    Also erst einmal komplett raus nehmen.

Sign In or Register to comment.